package ru.micord.ervu.account_applications.component.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class Domain {
  private String id;
  private String name;
  private String shortName;
  private String fullName;
  private boolean active;
  private boolean reportsEnabled;
  private String type;
  private String email;
  private String dns;
  private String phone;
  private String postalAddress;
  private String address;
  private String addressId;
  private String postalAddressId;
  private String militaryCode;
  private String timezone;
  private String inn;
  private String ogrn;
  private String kpp;
  private String bik;
  private String bankName;
  private String okato;
  private String oktmo;
  private String subpoenaSeriesCode;
  private boolean nsiOrganization;
  private boolean tnsOrganization;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getShortName() {
    return shortName;
  }

  public void setShortName(String shortName) {
    this.shortName = shortName;
  }

  public String getFullName() {
    return fullName;
  }

  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  public boolean isActive() {
    return active;
  }

  public void setActive(boolean active) {
    this.active = active;
  }

  public boolean isReportsEnabled() {
    return reportsEnabled;
  }

  public void setReportsEnabled(boolean reportsEnabled) {
    this.reportsEnabled = reportsEnabled;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getDns() {
    return dns;
  }

  public void setDns(String dns) {
    this.dns = dns;
  }

  public String getPhone() {
    return phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }

  public String getPostalAddress() {
    return postalAddress;
  }

  public void setPostalAddress(String postalAddress) {
    this.postalAddress = postalAddress;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public String getAddressId() {
    return addressId;
  }

  public void setAddressId(String addressId) {
    this.addressId = addressId;
  }

  public String getPostalAddressId() {
    return postalAddressId;
  }

  public void setPostalAddressId(String postalAddressId) {
    this.postalAddressId = postalAddressId;
  }

  public String getMilitaryCode() {
    return militaryCode;
  }

  public void setMilitaryCode(String militaryCode) {
    this.militaryCode = militaryCode;
  }

  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getOgrn() {
    return ogrn;
  }

  public void setOgrn(String ogrn) {
    this.ogrn = ogrn;
  }

  public String getKpp() {
    return kpp;
  }

  public void setKpp(String kpp) {
    this.kpp = kpp;
  }

  public String getBik() {
    return bik;
  }

  public void setBik(String bik) {
    this.bik = bik;
  }

  public String getBankName() {
    return bankName;
  }

  public void setBankName(String bankName) {
    this.bankName = bankName;
  }

  public String getOkato() {
    return okato;
  }

  public void setOkato(String okato) {
    this.okato = okato;
  }

  public String getOktmo() {
    return oktmo;
  }

  public void setOktmo(String oktmo) {
    this.oktmo = oktmo;
  }

  public String getSubpoenaSeriesCode() {
    return subpoenaSeriesCode;
  }

  public void setSubpoenaSeriesCode(String subpoenaSeriesCode) {
    this.subpoenaSeriesCode = subpoenaSeriesCode;
  }

  public boolean isNsiOrganization() {
    return nsiOrganization;
  }

  public void setNsiOrganization(boolean nsiOrganization) {
    this.nsiOrganization = nsiOrganization;
  }

  public boolean isTnsOrganization() {
    return tnsOrganization;
  }

  public void setTnsOrganization(boolean tnsOrganization) {
    this.tnsOrganization = tnsOrganization;
  }
}
